ebusd edge Startproblem

karlos964cabrio

New member
Hallo an die Wissenden,

ich bin neu hier und hoffe mir kann jemand helfen,
Ich versuche ebusd für eine Vailland zum laufen zu bringen, die eine auromatik 620/3 als regelung dran hat.
Hier hatte ich schon einige Daten mit der ebusd ohne "edge" Version.nach angebotenen Updates , die ich durchgeführt habe kamen nur noch die Broadcast Informationen an.
Also habe ich es mit der Edge Version versucht. hier bekomme diesen API Fehler. danach stopp der Dienst.
Das macht mich jetzt ein wenig betroffen, da ich nicht den blassesten Schimmer habe wo der herkommt und wie ich Ihn beheben kann, weiterhin greift dieser scan auf eine Datei zu die ich nicht habe. -mqttint=/etc/ebusd/mqtt-hassio.cfg Es gibt bei mir nicht mal das Verzeichnis ebusd. wäre ja nicht so schlimm wenn ich wüsste was da rein muss.

Code:
s6-rc: info: service s6rc-oneshot-runner: starting
s6-rc: info: service s6rc-oneshot-runner successfully started
s6-rc: info: service fix-attrs: starting
s6-rc: info: service fix-attrs successfully started
s6-rc: info: service legacy-cont-init: starting
s6-rc: info: service legacy-cont-init successfully started
s6-rc: info: service legacy-services: starting
s6-rc: info: service legacy-services successfully started
[16:34:14] ERROR: Got unexpected response from the API: Service not enabled
> ebusd --foreground --mqtthost= --mqttport= --mqttuser= --mqttpass= --scanconfig --mqttjson --mqttint=/etc/ebusd/mqtt-hassio.cfg --mqtttopic=ebusd --device=/dev/ttyUSB0 --log=all:notice
/run.sh: line 89: ebusd: command not found
s6-rc: info: service legacy-services: stopping
s6-rc: info: service legacy-services successfully stopped
s6-rc: info: service legacy-cont-init: stopping
s6-rc: info: service legacy-cont-init successfully stopped
s6-rc: info: service fix-attrs: stopping
s6-rc: info: service fix-attrs successfully stopped
s6-rc: info: service s6rc-oneshot-runner: stopping
s6-rc: info: service s6rc-oneshot-runner successfully stopped

Hat jemand eine Idee
 
Zuletzt bearbeitet von einem Moderator:
Ich habe mittlerweile beide versucht, bei beiden erschein nun der gleiche Fehler.
Außerdem wird vom System auf Dateien und Verzeichnisse verwiesen, die ich gar nicht auf dem System habe.

Hier ein paar Infos:

Code:
2022-09-26 22:27:11.984 ERROR (MainThread) [homeassistant.setup] Error during setup of component ebusd
File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 14, in init
File "/usr/src/homeassistant/homeassistant/components/ebusd/__init__.py", line 70, in setup
ebusdpy.init(server_address)
File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 18, in init
ebusdpy.ebusdpy.EBusError: <class 'OSError'>

Diese Verzeichnisse existieren nicht. Obwohl ich alles ganz normal nach Anleitung auf dem Hassio OS (Image von Home Assistant) installiert habe.

Leider gibt es im Netz mehrere Anleitungen, die sich aber alle noch auf das System mit "Supervisor" beziehen, der ja jetzt wohl in Einstellungen implementiert ist.

Zur Zeit ist Installiert :
eBUSd 22.4
Mosquitto broker 6.1.3

und logischerweise bekomme ich dadurch auch den ebusd nicht mehr zum laufen.
1664262736813.png
 
Zuletzt bearbeitet von einem Moderator:
hier ist nochmal die gesamte Fehlermeldung:

Code:
Logger: homeassistant.setup
Source: components/ebusd/__init__.py:70
First occurred: 09:19:42 (1 occurrences)
Last logged: 09:19:42

Error during setup of component ebusd
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 14, in init
    sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 235, in _async_setup_component
    result = await task
  File "/usr/local/lib/python3.10/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/ebusd/__init__.py", line 70, in setup
    ebusdpy.init(server_address)
  File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 18, in init
    raise EBusError(socket.error)
ebusdpy.ebusdpy.EBusError: <class
'OSError'>
 
Zuletzt bearbeitet von einem Moderator:
Hmm, offenbar hat niemend , ausser mir dieses Problem.

Ich bae das ganze schon auf einem neuen System installiert , andere ARaspi, ander KArte , neue Installation 32bit, auf der 64bit Intallation auf einem Raspi 4 lässt er nicht mal die Ebus Installation durchlaufen.

was mache ich fasch, oder wo steht eine Step by Step Anleitung für diesen Ebusd

Derzeit versuche ich es mit ebusd Edge....im Protolkoll kommen nur solche seltsamen Antworten:

Code:
2-11-21 14:46:50.360 [bus debug] arbitration lost
2022-11-21 14:46:50.360 [bus debug] ERR: arbitration lost during ready, retry
2022-11-21 14:46:50.360 [bus debug] start request 31
2022-11-21 14:46:50.360 [bus debug] arbitration start with 31
2022-11-21 14:46:50.455 [bus debug] arbitration lost
2022-11-21 14:46:50.456 [bus debug] ERR: arbitration lost during ready, retry
2022-11-21 14:46:50.456 [bus debug] start request 31
2022-11-21 14:46:50.456 [bus debug] arbitration start with 31
2022-11-21 14:46:50.551 [bus debug] arbitration lost
2022-11-21 14:46:50.551 [bus debug] notify request: ERR: arbitration lost
2022-11-21 14:46:50.551 [bus error] poll hc EnergyDemandPercentage failed: ERR: arbitration lost
2022-11-21 14:46:56.017 [bus info] poll cmd: 3126b509030d4600
2022-11-21 14:46:56.017 [bus debug] start request 31
2022-11-21 14:46:56.017 [bus debug] arbitration start with 31
2022-11-21 14:46:56.113 [bus debug] arbitration lost
2022-11-21 14:46:56.114 [bus debug] ERR: arbitration lost during ready, retry
2022-11-21 14:46:56.114 [bus debug] start request 31
2022-11-21 14:46:56.114 [bus debug] arbitration start with 31
2022-11-21 14:46:56.193 [bus debug] arbitration lost
2022-11-21 14:46:56.193 [bus debug] ERR: arbitration lost during ready, retry
2022-11-21 14:46:56.194 [bus debug] start request 31
2022-11-21 14:46:56.194 [bus debug] arbitration start with 31
2022-11-21 14:46:56.241 [bus debug] arbitration lost
2022-11-21 14:46:56.242 [bus debug] ERR: arbitration lost during ready, retry
2022-11-21 14:46:56.308 [bus debug] start request 31
2022-11-21 14:46:56.308 [bus debug] arbitration start with 31
2022-11-21 14:46:56.368 [bus debug] arbitration lost
2022-11-21 14:46:56.368 [bus debug] notify request: ERR: arbitration lost
2022-11-21 14:46:56.369 [bus error] poll hc FlowTempDesired failed: ERR: arbitration lost

auch bekomme ich nicht raus was dieses bus info] poll cmd: 3126b509030d4600 bedeutet.
Ich habe es mit "bai" , "700" in der configuration.yaml versucht, auch ohne zu wissen was das genau bedeutet. bei "bai" findet er wenigstens noch irgenwas, bei "700" findet er nichts.

Code:
s6-rc: info: service s6rc-oneshot-runner: starting
s6-rc: info: service s6rc-oneshot-runner successfully started
s6-rc: info: service fix-attrs: starting
s6-rc: info: service fix-attrs successfully started
s6-rc: info: service legacy-cont-init: starting
s6-rc: info: service legacy-cont-init successfully started
s6-rc: info: service legacy-services: starting
s6-rc: info: service legacy-services successfully started
> ebusd --foreground --mqtthost=core-mosquitto --mqttport=1883 --mqttuser=addons --mqttpass=foolai3ojiy3paiphahpoh9ahvooChaivafahjai8ieshoodahseThiteitaur0u --scanconfig --mqttjson --configpath=http://ebusd.eu/config/ --mqttint=/etc/ebusd/mqtt-hassio.cfg --mqtttopic=ebusd --device=/dev/ttyUSB0 --log=all:info --log=bus:debug --log=update:error --log=network:debug --log=other:error
2022-11-21 15:06:37.319 [main notice] replaced old configPath http://ebusd.eu/config/ with new one: http://cfg.ebusd.eu/
2022-11-21 15:06:37.342 [main notice] ebusd 22.4.v22.4-28-gbc3e6110 started with auto scan on device /dev/ttyUSB0
2022-11-21 15:06:37.342 [main info] loading configuration files from http://cfg.ebusd.eu/
2022-11-21 15:06:37.430 [main info] reading templates /
2022-11-21 15:06:37.521 [main info] read templates in /
2022-11-21 15:06:37.521 [main info] reading file memory.csv
2022-11-21 15:06:37.609 [main info] successfully read file memory.csv
2022-11-21 15:06:37.609 [main info] reading file broadcast.csv
2022-11-21 15:06:37.701 [main info] successfully read file broadcast.csv
2022-11-21 15:06:37.701 [main info] read config files, got 11 messages
2022-11-21 15:06:37.706 [bus notice] bus started with own address 31/36
2022-11-21 15:06:37.707 [main info] registering data handlers
2022-11-21 15:06:37.719 [bus notice] signal acquired
2022-11-21 15:06:37.721 [main info] registered data handlers

und dann irgenwann:

Code:
022-11-21 15:07:30.216 [bus notice] scan 26: ;Vaillant;SOLSY;0500;6301
2022-11-21 15:07:33.251 [bus notice] scan 50: ;Vaillant;SOLSY;0500;6301

warum Zweimal ?? Nun bin ich am Ende mit meinem Latein. Stunde, ähh wochenlanges Suchen , hat mich keinen Zentimeter weitergebracht, Ich hatte schonmal die Meldungen AussenThemp Datum und Zeit, warum die auch nicht mehr da sind, keine Ahnung.
Auch trotz intensiver Suche nach dem Speicherort diese Protokolls ... kein Erfolg.

Hat das System einer am laufen, der mir eventuell sagen kann wo ich falsch denke.
 
Zuletzt bearbeitet von einem Moderator:
der Befehl ebusctl lässt / lies sich noch nie bei mir ausführen , ich denke das sollte doch auf der Console gehen, aber das kommt nur

ebusctl read hwc Mode
zsh: command not found : ebusctl

nun ist das ja wohl ein Apine Linux unter dem Homassistant, ich kenne mir nur mit debian aus....
 
Hallo alexamend,

ich nutze eine Raspi Homeassistant Installation mit alpine Linux drunter ( ist eine Komplettinstallation ) darauf ist der Ebusd mit einem ESERA USB Adapter ausgestattet, der "scheinbar" auch erkannt wird.
Zumindest sagt das Log, [bus notice] signal acquired....

Aber schon der erste Befehl auf der Seite bringt unter dem Terminal von homeassistant...

sudo service ebusd restart
s6 service not found for ebusd, existing...

???
ich weiss nicht wie ich denn auf den Raspi unter alpine (home assistant) kommen soll kommen soll..

Sheinbar ist ja alles in Homeassistant integriert und diese Anleitung bezieht sich noch auf eine Version ?

das zu beearbeitende Verzeichnis /etc/default/ebusd ist auch nicht vorhanden, es gibt aud dem gesamten Raspi kein ebusd Verzeichnis (mit winscp durchsucht)
auch die Verzeichnisse / Dateien die in dem Protokoll angegeben werden:

Logger: homeassistant.setup
YAML:
Source: components/ebusd/__init__.py:70
First occurred: 14:25:30 (1 occurrences)
Last logged: 14:25:30

Error during setup of component ebusd
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 14, in init
    sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 235, in _async_setup_component
    result = await task
  File "/usr/local/lib/python3.10/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/ebusd/__init__.py", line 70, in setup
    ebusdpy.init(server_address)
  File "/usr/local/lib/python3.10/site-packages/ebusdpy/ebusdpy.py", line 18, in init
    raise EBusError(socket.error)
ebusdpy.ebusdpy.EBusError: <class 'OSError'>

sind gar nicht vorhanden, Das egal ob mit edge oder ohne .

/src/...
und
/python3.10/... gibt es nicht . aber es ist pyton3.10 installiert, so sagt das system wenn man eine Abfrage stellt.

Fakt ist, ich bekomme eine Frage gelöst und erhalte dadurch 5 neue.

Ähh , wie kann ein System einen Fehler bringenin einer Datei, die es gar nicht gibt?

Alle anderen Implementationen funktionieren . Aber das Teil macht mich platt.
 
Zuletzt bearbeitet von einem Moderator:
Da du sicherlich eine zweite sd hast teste doch mal das hassos für den rpi,
entweder über de piimager PI-IMAGER
oder jeglichen anderen sd-schreiber Img-RPi4
sollte aber alpine als Unterbau unbedingt bestehen bleiben, müsstest du dort dein ebus-usb installiert werden und über home assistant angesprochen werde ( an der stelle bin ich leider raus) kenn deine Konfiguration nicht. Vermutlich anstelle von 127.0.0.1 die IP des Unterbau.
 
Zuletzt bearbeitet:
Hallo,
ich habe hier einen der weniges Threads im Netz gefunden, wo das Thema HA und ebusd thematisiert wird und wollte mal auf den Zug aufspringen.
Gibt es inzwischen jmd. der es geschafft hat die ebusd Integration zum laufen zu bringen?
Ich habe frisch diesen Adapter installiert und auch soweit eingebunden das über MQTT Werte in HA zu sehen sind. Also MQTT Server und ebusd Add-on laufen
Jetzt würde ich gerne die ebusd Integration ans laufen bekommen.
Laut Anleitung erscheint diese nach einiger Zeit automatisch in der Integrationsübersicht. Das tut nicht. Auch eine Installation über die UI von HA scheitert auch mit dem Hinweis das ich in die Configuration.yaml soll. Dort aber diese Konfigurationsschritte verwendet:
https://www.home-assistant.io/integrations/ebusd/
und mit diversen Fehlermeldungen rausgeflogen.
Ist da jmd ein Schritt weiter und hätte eine funktionierende *.yaml Datei für mich?
Oder sonst ein Tipp wo ich mal hin gucken könnte? Schon mal vielen Dank
 
https://github.com/home-assistant/core/issues?q=is:issue+label:"integration:+ebusd"+ hattest Du schon mal durchgeschaut? Ich selber nutze sowas garnicht, aber es wäre bestimmt hilfreich für anderen, wenn Du mal beschreibst (oder direkt Code lieferst), wie Du das ganze eingebunden hast und was genau für Fehlermeldungen Du bekommst.

Beim posten von Code bitte wie hier beschrieben: https://forum.heimnetz.de/threads/hinweis-zum-thema-einfuegen-von-yaml-code-in-beitraegen.1019/, das macht es den Leuten einfacher :)
 
Hallo, vielen Dank für die schnelle Rückmeldung

das hier ist der Code den ich in der Configuration.yaml platziert habe (sowohl mit local-host, wie auch mal mit der externen Adresse

YAML:
# Example configuration.yaml entry
ebusd:
  host: 127.0.0.1
  circuit: "700"

hier ist der Auszug aus dem Protokoll nach dem Versuch des Starts der Ebusd- Integration:

Code:
Logger: homeassistant.setup
Source: components/ebusd/__init__.py:69
First occurred: 15:01:59 (1 occurrences)
Last logged: 15:01:59

Error during setup of component ebusd
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/ebusdpy/ebusdpy.py", line 14, in init
    sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 288, in _async_setup_component
    result = await task
             ^^^^^^^^^^
  File "/usr/local/lib/python3.11/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/ebusd/__init__.py", line 69, in setup
    ebusdpy.init(server_address)
  File "/usr/local/lib/python3.11/site-packages/ebusdpy/ebusdpy.py", line 18, in init
    raise EBusError(socket.error)
ebusdpy.ebusdpy.EBusError: <class 'OSError'>
 
ConnectionRefusedError: [Errno 111] Connection refused
Auch wenn ich davon keine Ahnung habe (hoffe es meldet sich noch wer mit Ahnung 😅), sieht das erstmal so aus, als wäre da nichts zum Verbinden bzw. wird der Verbindungsaufbau abgelehnt. Grundsätzliche Frage wäre vermutlich erstmal, ob das Ding am "localhost" lauscht, oder doch an der IP, welche ins lokale Netz führt. In der Dok dazu steht:
port integer (Optional, default: 8888)
Könntest mal von extern mit einem Portscanner schauen, ob der Port 8888 über die LAN-IP erreichbar ist, falls nicht, ggf. mal mit "netstat -tlpn" lokal auf dem Host schauen (via SSH vermutlich). Allerdings steht es in der Doku auch mit localhost und "einfach so" wird eigentlich auch nix an externe IPs gebunden (da ist localhost eigentlich immer sicherer)...

Läuft denn das was Du damit erreichen willst auch 100%ig? Wenn das - worauf zugegriffen werden soll - nicht läuft, könnte es vermutlich auch eine Fehlermeldung in diese Richtung geben :)
 

Zurzeit aktive Besucher

Letzte Anleitungen

Statistik des Forums

Themen
4.702
Beiträge
47.957
Mitglieder
4.347
Neuestes Mitglied
Reekoh
Zurück
Oben